---
- name: Create service account for borg
  user:
    name: "{{ backup_user }}"
    state: present
    shell: /bin/bash

- name: Make sure secretes directory exist on backup server
  file:
    path: "{{ borg_home_directory }}/.key"
    state: directory
    force: no
    owner: "{{ backup_user }}"
    recurse: true
  changed_when: false

- name: Drop borg passphrase file on backup server
  copy:
    content: "{{ borg_pass }}"
    dest: "{{ borg_home_directory }}/.key/borg_passphrase"
    owner: "{{ backup_user }}"
    mode: 0600

- name: deploy ssh key for borg user
  authorized_key:
    user: "{{ backup_user }}"
    key: "{{ borg_repo_ssh_pub_key }}"
    state: present

- name: deploy ssh key for borgbackup server
  copy:
    content: "{{ borg_repo_ssh_priv_key }}"
    dest: "{{ borg_home_directory }}/.ssh/id_rsa_borg"
    mode: 0600
    owner: "{{ backup_user }}"

- name: Configure sshd for backup user group
  blockinfile:
    path: /etc/ssh/sshd_config
    block: |
      Match User {{ backup_user }}
            PasswordAuthentication no
  notify:
    - Reload SSHD

- name: Make sure repo directory exists on backup server and is owned by borg user
  file:
    path: "{{ borg_repo_path }}"
    state: directory
    mode: 0700
    owner: "{{ backup_user }}"
    recurse: true
  changed_when: false
